Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions

# missing/isinf.c File Reference

`#include "ruby/config.h"`
`#include <strings.h>`
Include dependency graph for isinf.c:

Go to the source code of this file.

## Functions
static double | zero (void)
static double | one (void)
static double | inf (void)
int | isinf (double n)

## Function Documentation

static double inf | ( | void |  | ) | `[static]`

Definition at line 53 of file isinf.c.

References one(), and zero().

Referenced by allocate_cbsubst_info(), cbsubst_def_attr_aliases(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_initialize(), cbsubst_scan_args(), cbsubst_sym_to_subst(), cbsubst_table_setup(), Init_process(), invoke_tcl_proc(), isinf(), and X509_CRL_add0_revoked().

int isinf | ( | double | n | ) |

Definition at line 56 of file isinf.c.

References inf(), and memcmp().

Referenced by atanh(), big_op(), BSD__hdtoa(), BSD_vfprintf(), dbl2big(), finite(), flo_cmp(), flo_is_finite_p(), flo_is_infinite_p(), flo_round(), flo_to_s(), float_denominator(), float_numerator(), float_value(), flodivmod(), generate_json(), math_atan2(), math_gamma(), math_lgamma(), rb_big2dbl(), rb_big_cmp(), rb_big_fdiv(), rb_str_format(), ruby_float_step(), VpDtoV(), and w_float().

static double one | ( | void |  | ) | `[static]`

Definition at line 52 of file isinf.c.

Referenced by enum_one(), inf(), and yyparse().

static double zero | ( | void |  | ) | `[static]`

Definition at line 51 of file isinf.c.

Referenced by inf(), num_uminus(), tgamma(), VpCtoV(), and yyparse().